function [ signal, frekvence ] = nacteni_zvuku( jmeno, cesta )
%% Načteni zvukoveho signalu
%   
% vstup jmeno 
% jmeno zadaneho souboru
%
% vstup cesta
% cesta k zadanemu souboru
%
% vystup signal
% audio signál v zadaném souboru
%
% vystup frekvence
% frekvence audio signálu
%

%% pokud je soubor v aktuálním adresáři není třeba použít cestu

if exist(jmeno) ~= 2
    jmeno = strcat(cesta, jmeno);
end

[signal, frekvence ]= wavread(jmeno);


%% posun 

prumer = mean(signal);
signal = signal+ (-prumer);

end

